Skip to navigation
REST API ReferenceEndpointsProjects

Get a saved edit

Recover this connection’s original edit outcome without repeating effects.

Authentication

AuthorizationBearer

API key from app.videogen.io/api. The full key is only shown once when you create it.

Path parameters

projectIdstringRequiredformat: "^vg_proj_[0-9A-Za-z]{22}$"
mutationIdstringRequiredformat: "uuid"

Response

Current authorized result.
projectIdstring
mutationIdstringformat: "uuid"
outcomeenum
Allowed values:
projectRevisioninteger0-9007199254740991
editableVideoIdstringOptional
videoEditIdstringOptional

Present when outcome is STARTED. Follow this id in GET /v1/projects/{projectId}/video-edits.